#include "gba.h"
#include "hio.h"

u32  MidiKey2Freq(void *p1, u8 p2, u8 p3);

void AgbMain(){
	s32 i,len;

	for (i=0; i<0x4000; i+=4){
		*((u8 *)0x02020000+i+0) = (MidiKey2Freq((void *)(i-3), 180-12, 0) * 2)>>24;
		*((u8 *)0x02020000+i+1) = (MidiKey2Freq((void *)(i-2), 180-12, 0) * 2)>>24;
		*((u8 *)0x02020000+i+2) = (MidiKey2Freq((void *)(i-1), 180-12, 0) * 2)>>24;
		*((u8 *)0x02020000+i+3) = (MidiKey2Freq((void *)(i-4), 180-12, 0) * 2)>>24;
	}
	i=PcOpen("bios.bin",PC_CREAT|PC_TRUNC|PC_WRONLY);
	len=PcWrite(i,(u8 *)0x02020000,0x4000);
	PcClose(i);
	PcPrintf("write 0x%x bytes.\n",len);
	for(;;);	//[v
}
